Bug 1020021 - Drop php-libguestfs subpackage
Drop php-libguestfs subpackage
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: libguestfs (Show other bugs)
7.0
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Richard W.M. Jones
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-16 15:37 EDT by Richard W.M. Jones
Modified: 2014-06-17 22:01 EDT (History)
3 users (show)

See Also:
Fixed In Version: libguestfs-1.22.6-13.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-13 06:28:36 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Richard W.M. Jones 2013-10-16 15:37:19 EDT
Description of problem:

The php-libguestfs package is a subpackage of libguestfs containing
PHP bindings.  We do not use it in RHEL.  It has some test
failures (which are ignored) therefore it's possible it has/will
break and we wouldn't notice.  Additionally these test failures
cause RPMdiff failures.

Version-Release number of selected component (if applicable):

libguestfs-1.22.6-9.el7

Additional info:

https://brewweb.devel.redhat.com/buildinfo?buildID=296959
https://rpmdiff.lab.eng.brq.redhat.com/run/44380/30/
Comment 1 bfan 2013-10-22 03:03:20 EDT
Can reproduce,
php-libguestfs-1.22.6-9.el7.x86_64.rpm exsits
Comment 2 Richard W.M. Jones 2013-10-31 05:12:57 EDT
Bill, does anything need to be done to adjust the compose?
Note that php-libguestfs is not required by any other
package in RHEL 7.
Comment 4 Bill Nottingham 2013-10-31 14:56:03 EDT
If the subpackage is no longer built, nothing needs done.
Comment 5 Lingfei Kong 2013-12-06 02:36:42 EST
Verified with libguestfs-1.22.6-17.el7

libguestfs-1.22.6-17.el7 does not contain subpackage: php-libguestfs . 

link: https://brewweb.devel.redhat.com/buildinfo?buildID=317340
Comment 6 Ludek Smid 2014-06-13 06:28:36 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.